org.wildfly.swarm.microprofile.openapi.api.models.parameters

## Class RequestBodyImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.parameters.RequestBodyImpl

- All Implemented Interfaces:
    ModelImpl

      public class RequestBodyImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `RequestBody` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestBodyImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestBody` | `content(Content content)`
    `RequestBody` | `description(String description)`
    `Content` | `getContent()`
    `String` | `getDescription()`
    `String` | `getRef()`
    `Boolean` | `getRequired()`
    `RequestBody` | `ref(String ref)`
    `RequestBody` | `required(Boolean required)`
    `void` | `setContent(Content content)`
    `void` | `setDescription(String description)`
    `void` | `setRef(String ref)`
    `void` | `setRequired(Boolean required)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestBodyImpl

          public RequestBodyImpl()

  - ### Method Detail

    - #### getRef

          public String getRef()

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#getRef()`

    - #### setRef

          public void setRef(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#setRef(java.lang.String)`

    - #### ref

          public RequestBody ref(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#ref(java.lang.String)`

    - #### getDescription

          public String getDescription()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.RequestBody#getDescription()`

    - #### setDescription

          public void setDescription(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.RequestBody#setDescription(java.lang.String)`

    - #### description

          public RequestBody description(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.RequestBody#description(java.lang.String)`

    - #### getContent

          public Content getContent()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.RequestBody#getContent()`

    - #### setContent

          public void setContent(Content content)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.RequestBody#setContent(org.eclipse.microprofile.openapi.models.media.Content)`

    - #### content

          public RequestBody content(Content content)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.RequestBody#content(org.eclipse.microprofile.openapi.models.media.Content)`

    - #### getRequired

          public Boolean getRequired()

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.RequestBody#getRequired()`

    - #### setRequired

          public void setRequired(Boolean required)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.RequestBody#setRequired(java.lang.Boolean)`

    - #### required

          public RequestBody required(Boolean required)

      See Also:
        `org.eclipse.microprofile.openapi.models.parameters.RequestBody#required(java.lang.Boolean)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.